Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Mar 2016 20:42:12 -0400

>>> pcomplete-do-complete("/davs:" #[771 "\302^CG\303
>>> pcomplete(1)
>> Hmm... how did we get from "/" to "/davs:"?
> Forgot to say: Prior to calling pcomplete, I have typed /davs: in the
> eshell buffer.

Hmm... looking back at it I'm kind of lost.
I thought this was about adding `non-essential' somewhere, but in the
recipe, I don't see much opportunity for that.  So, I think the question
is really for Micheal:

  Why does "cd / M-x pcomplete RET" signal an error like

    tramp-file-name-handler: Host name must not match method "adb"

  ?

That seems like a bug right there, which doesn't have much to do with
non-essential.

        Stefan